
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>mysql 权限与安全 / iVAN</title>

    <meta name="description" content="mysql 权限与安全 Access denied for user 'root'@'IP地址' ,是因为相应的主机没有对应的访问权限 --开放权限如下 use mysql; update user u set u.host = '%' where u.user = 'root' limit 1; flush privileges; --果看用户权限 show grants for current_user(); --mysql不推荐通过修改表的方式修改用户密码 INSERT or UPDATE statements">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">mysql 权限与安全</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<pre><code>Access denied for user 'root'@'IP地址' ,是因为相应的主机没有对应的访问权限

--开放权限如下
use mysql;
update user u set u.host = '%' where u.user = 'root' limit 1;
flush privileges;

--果看用户权限
show grants for current_user();

--mysql不推荐通过修改表的方式修改用户密码
INSERT or UPDATE statements for the mysql.user table that refer to literal passwords are logged as is,so you should avoid such statements
--通过客户端sql修改
MariaDB [mysql]&gt;  UPDATE user SET Password = password('123456') WHERE User = 'root' ;
--此时可在binglog中可以看到明文的密码
[root@rudy_01 3306]# mysqlbinlog binlog.000006 --start-position=4224 &gt;/tmp/test.sql
[root@rudy_01 3306]# cat /tmp/test.sql
SET @@session.collation_database=DEFAULT/*!*/;
UPDATE user SET Password = password('123456') WHERE User = 'root'

--在mysql 5.7中password字段已经不存在了
mysql&gt; UPDATE user SET Password = password('123456') WHERE User = 'root' ;
ERROR 1054 (42S22): Unknown column 'Password' in 'field list'

mysql&gt; desc user;
+------------------------+-----------------------------------+------+-----+-----------------------+-------+
| Field                  | Type                              | Null | Key | Default               | Extra |
+------------------------+-----------------------------------+------+-----+-----------------------+-------+
| Host                   | char(60)                          | NO   | PRI |                       |       |
| User                   | char(32)                          | NO   | PRI |                       |       |
| Select_priv            | enum('N','Y')                     | NO   |     | N                     |       |

--注意出于安全考虑，alter user时提示更新的是0条数据，但实际password已更新
mysql&gt; select host,user,authentication_string,password_last_changed from user where user='root' and host='%';
+------+------+-------------------------------------------+-----------------------+
| host | user | authentication_string                     | password_last_changed |
+------+------+-------------------------------------------+-----------------------+
| %    | root | *6BB4837EB74329105EE4568DDA7DC67ED2CA2AD9 | 2016-01-08 15:38:13   |
+------+------+-------------------------------------------+-----------------------+
1 row in set (0.04 sec)

--提示更新0条，使用此方法不需要再 flush privileges
If you modify the grant tables indirectly using account-management statements such as GRANT, REVOKE,SET PASSWORD, or RENAME USER,
the server notices these changes and loads the grant tables into memory again immediately.
mysql&gt;  alter user 'root'@'%' identified by '12345678';
Query OK, 0 rows affected (0.00 sec)
--实际已更新
mysql&gt;  select host,user,authentication_string,password_last_changed from user where user='root' and host='%';
+------+------+-------------------------------------------+-----------------------+
| host | user | authentication_string                     | password_last_changed |
+------+------+-------------------------------------------+-----------------------+
| %    | root | *84AAC12F54AB666ECFC2A83C676908C8BBC381B1 | 2016-01-08 15:53:09   |
+------+------+-------------------------------------------+-----------------------+
1 row in set (0.00 sec)

--在binlog中查出的sql如下
[root@rudy mysql]# cat /tmp/test.sql
SET @@session.collation_database=DEFAULT/*!*/;
ALTER USER 'root'@'%' IDENTIFIED WITH 'mysql_native_password' AS '*6BB4837EB74329105EE4568DDA7DC67ED2CA2AD9'

--mysql对于密码有3种检验策略，默认validate_password_policy为MEDIUM
? LOW policy tests password length only. Passwords must be at least 8 characters long.
? MEDIUM policy adds the conditions that passwords must contain at least 1 numeric character, 1 lowercase and uppercase character, and 1 special (nonalphanumeric) character.
? STRONG policy adds the condition that password substrings of length 4 or longer must not match words

--注意validate_password默认是没有安装的
If the validate_password plugin is not installed, the validate_password_xxx system variables are not available,
passwords in statements are not checked, and VALIDATE_PASSWORD_STRENGTH() always returns 0.

--检验密码复杂度
mysql&gt; select VALIDATE_PASSWORD_STRENGTH('abc1235jeme');
+-------------------------------------------+
| VALIDATE_PASSWORD_STRENGTH('abc1235jeme') |
+-------------------------------------------+
|                                         0 |
+-------------------------------------------+
1 row in set (0.00 sec)
--查找安装的插件，发现找不到validate_password
mysql&gt; show plugins;
--手动安装
mysql&gt; INSTALL PLUGIN validate_password SONAME 'validate_password.so';
mysql&gt; show plugins;
+----------------------------+----------+--------------------+----------------------+---------+
| Name                       | Status   | Type               | Library              | License |
+----------------------------+----------+--------------------+----------------------+---------+
| validate_password          | ACTIVE   | VALIDATE PASSWORD  | validate_password.so | GPL     |
+----------------------------+----------+--------------------+----------------------+---------+
45 rows in set (0.04 sec)
--再次检验密码复杂度
mysql&gt; select VALIDATE_PASSWORD_STRENGTH('abc1235jeme');
+-------------------------------------------+
| VALIDATE_PASSWORD_STRENGTH('abc1235jeme') |
+-------------------------------------------+
|                                        50 |
+-------------------------------------------+

--安装validate_password插件后，就必需符合validate_password_policy的要求，否则语句执行出错
mysql&gt; alter user 'root'@'%' identified by '123456';
ERROR 1819 (HY000): Your password does not satisfy the current policy requirements
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 21:33:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%95%b0%e6%8d%ae%e5%ba%93rds/" title="云数据库RDS">云数据库RDS</a>, <a href="https://www.iamivan.net/tag/%e6%9d%83%e9%99%90%e4%b8%8e%e5%ae%89%e5%85%a8/" title="权限与安全">权限与安全</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>mysql 权限与安全的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMymQvM.html" rel="bookmark">MySQL权限的详细解答</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL权限的详细解答 一．权限表 mysql数据库中的3个权限表:user .db. host 权限表的存取过程是: 1)先从user表中的host. user. password这3个字段中判断连接的IP.用户名.密码是否存在表中,存在则通过身份验证: 2) 通过权限验证,进行权限分配时,按照user?db?tables_priv?columns_priv的顺序进行分配.即先检查全局权限表 user,如果user中对应的权限为Y,则此用户对所有数据库的权限都为Y,将不再检查db, tabl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7ZR6b.html" rel="bookmark">MySQL权限表探索</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL权限表是指在mysql数据库下的5张表:user, db, tables_priv, columns_priv, procs_priv,这5张表记录了 所有的用户及其权限信息,MySQL就是通过这5张表控制用户访问的.本文将探索这5张权限表. MySQL权限表的结构和 内容 1.user:记录账号.密码.全局性权限信息等. mysql&gt; desc mysql.user; +------------------------+--------------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvGy1rp.html" rel="bookmark">mysql权限管理（实例）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql权限管理实例  本文并没有很详细的介绍对具体的对象授权,只是简单的限制了大的权限.  1.目前现状: 研发一直使用root用户进行操作.不变修改代码,因此我们采用新建一个超级用户,回收root的部分权限来实现对研发用户的限制  mysql&gt; select user,host from user; +-----------+---------------+ | user      | host          | +-----------+---------------+ | mydb			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYj88ep.html" rel="bookmark">服务器-mysql 权限问题 Permission denied&colon; connect</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 mysql 权限问题 Permission denied: connect 5C Servlet.service() for servlet [mvc-dispatcher] in context with path [] threw exception [Request processing failed; nested exception is org.springframework.transaction.CannotCreateTransactionException: Cou			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RWABb.html" rel="bookmark">《PHP、MySQL和Apache入门经典（第5版）》一2&period;8 MySQL权限系统简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.8 MySQL权限系统简介 PHP.MySQL和Apache入门经典(第5版) MySQL权限系统总是起作用的.当你第一次尝试连接MySQL服务器的时候,并且对于每一个后续的动作,MySQL都会检查以下3件事情. 你从哪里访问(你的主机)? 你说你是谁(你的用户名和密码)? 允许你做什么(你的命令权限)? 所有这些信息都存储在一个名为mysql的数据库中,当安装MySQL的时候,自动创建该数据库.在mysql数据库中,有如下几个和权限相关的表. columns_priv--为一个表中的具体字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJAgewp.html" rel="bookmark">《MySQL DBA修炼之道》&mdash;&mdash;1&period;4　MySQL权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 MySQL权限 1.4.1 MySQL权限机制 MySQL权限控制包含如下两个阶段. 阶段1:服务器检查是否允许你连接. 阶段2:假定你能连接,服务器将检查你发出的每一个请求,查看你是否有足够的权限实施它.例如,如果你从数据库表中选择(SELECT)行或从数据库中删除表,那么服务器要确定你是否对表有SELECT权限或对数据库有DROP权限. MySQL是通过用户名.密码.IP(主机名) 3个要素来验证用户的.当你想要访问MySQL服务器时,MySQL客户端程序一般会要求你指定如下参数.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrqByvb.html" rel="bookmark">《PHP、MySQL和Apache入门经典（第5版）》一一2&period;8 MySQL权限系统简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.8 MySQL权限系统简介 PHP.MySQL和Apache入门经典(第5版) MySQL权限系统总是起作用的.当你第一次尝试连接MySQL服务器的时候,并且对于每一个后续的动作,MySQL都会检查以下3件事情. 你从哪里访问(你的主机)? 你说你是谁(你的用户名和密码)? 允许你做什么(你的命令权限)? 所有这些信息都存储在一个名为mysql的数据库中,当安装MySQL的时候,自动创建该数据库.在mysql数据库中,有如下几个和权限相关的表. columns_priv--为一个表中的具体字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2J65Qb.html" rel="bookmark">RDS for MySQL权限问题（错误代码：1227，1725）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RDS for MySQL权限问题(错误代码:1227,1725)   1. 错误信息 2. 错误出现的场景 3. 错误原因 4. 解决 4.1 去除 DEFINER 子句 4.2 去除 GTID_PURGED 子句 4.3 检查修改后的文件 1. 错误信息 [Err] 1227 - Access denied; you need (at least one of) the SUPER privilege(s) for this operation --常见于 RDS MySQL 5.6 ERR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQLO7Oz.html" rel="bookmark">Gentoo安装配置pure-ftpd结合Mysql权限验证全过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Gentoo安装配置pure-ftpd结合Mysql权限验证全过程 一.安装pure-ftpd服务端 # echo 'net-ftp/pure-ftpd mysql'&gt;&gt;/etc/portage/package.use Gentoo会自动把本机的mysql装上. # emerge pure-ftpd 配置mysql数据库root的密码,以及安装初始化目录. 我配置的root密码为root,如果设置为其它的则下面的密码也需要跟着改 # ebuild /var/db/pkg/dev-db/mysq			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Wko8b.html" rel="bookmark">mysql mysql权限-如何恢复mysql数据库的root账户权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何恢复mysql数据库的root账户权限 本人小白,在服务器装了mysql之后,在phpmyadmin里自作聪明创建了一个新的账号(newroot),然后给了所有权限(除了Grant),然后就把root账号的权限都取消了..现在发现这个新的账号,不能给新建账号分配数据库权限,很坑爹呀.. 求前辈们指点,如何恢复root权限			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbE6LLM.html" rel="bookmark" class="title">什么是MTU&comma;如何检测和设置路由器MTU值</a>
					<div>
						MTU是MaximumTransmissionUnit的缩写. 意思是网络上传送的最大数据包.MTU的单位是字节.大部分网络设备的MTU都是1500.如果本机的MTU比网关的MTU大,大的数据包就会被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV94Qp.html" rel="bookmark" class="title">网游异军&comma;网页游戏的发展前景及对站长的影响</a>
					<div>
						网页|站长|网游 1．网页游戏的发展趋势和前景: 1)网页游戏由来已久,对广大早期网游玩家而言并不陌生早在网游诞生之初网页游戏就已出现,并凭借其方便性和简易性吸引了一大批早期的网页用户.以&lt;第九 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRj4dM.html" rel="bookmark" class="title">简单的检查输入email是否合法程序</a>
					<div>
						程序 function chkEmail(email) on error resume next dim i,l,pos1,pos2 chkEmail=true if isnull(email) th ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMADAnb.html" rel="bookmark" class="title">视觉设计前瞻实用性研究&colon;全方位刺激你的感官</a>
					<div>
						2010年的前膽期刊来的比平时稍晚了些,虎年首期前膽由Webteam三大名星坐阵,精彩不容错过,见证奇迹的时刻到了-本期特约作者:柱子,妖精,老徐 相关链接01 http://www.toyota.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlqy8b.html" rel="bookmark" class="title">Link Server的语法</a>
					<div>
						近日,因项目需要通过配置文件从一台Oracle dw 以及一台SQL SERVER 2005的服务器中每天定时查询数据并且将所查询数据写回项目中所创建的数据库中的几个表中,今天稍微整理了一下: 1.O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrYAkp.html" rel="bookmark" class="title">Word2010如何输入带圈字符</a>
					<div>
						知道如何在Word中输入带圈字符还是非常有用的,因为像一些序号或者在方框中打钩.打叉,都要用到输入带圈字符的知识,大家一定要跟着易捷PDF转换成Word好好的学习,特别要说明的是,下面的方法,在Wor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdwYaM.html" rel="bookmark" class="title">微软通过win7系统所得到的经验</a>
					<div>
						Windows Vista操作系统,这个系统是xp系统和win7系统之间微软开发出的系统,但是很少人知道这个系统,因为它失败了,win7是该系统失败后,而推出的系统,但是这个系统取得了巨大的成功.下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY082M.html" rel="bookmark" class="title">Win8&period;1系统如何调整标题栏、开始菜单、消息提示框字体</a>
					<div>
						  1.按下&quot;win+X&quot;组合键呼出系统快捷菜单,点控制面板; 2.在控制面板点击&quot;外观和个性化&quot;; 3.选择&quot;显示&quot;; 4.把&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7rn7M.html" rel="bookmark" class="title">Windows7和Vista多余更新提示清除</a>
					<div>
						在Windows 7和Vista系统中,当你下载了更新程序,但是还没有安装,如果这个时候你因为一些更重要的事需要重启机器时,系统总水询问你&quot;是否安装并更新&quot;.如果选择安装,那么你可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZ997z.html" rel="bookmark" class="title">浏览器不支持自己的网页怎么办</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 这两天在做一个矢量书法字典(htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9El2XM.html" rel="bookmark" class="title">applet如何访问mysql数据库</a>
					<div>
						问题描述 我用相同的访问方法,在jsp中就能访问数据库,但在applet中就是不行,而且报的错误很奇怪,communicationsfailure,请问一下是什么原因?哪位大大能给点源码研究一下? 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwwx1p.html" rel="bookmark" class="title">sass-ios8中无法使用glReadPixels方法</a>
					<div>
						问题描述 ios8中无法使用glReadPixels方法 在做一个视频截屏功能,用到OpenGL的glReadPixels方法,在ios7.1中都没有问题,但是在ios8中提示:Implicit de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ1KZz.html" rel="bookmark" class="title">网易：《魔兽世界》&OpenCurlyDoubleQuote;待定&rdquo;玩家可取消转服</a>
					<div>
						网易于12月初推出的魔兽付费角色转移服务吸引了众多玩家注意,不过,近日不断有国服玩家反映申请付费角色转移服务后迟迟未成功.对此,网易在魔兽官方论坛上表示,建议付费角色转移状态为&quot;待定&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y3ogM.html" rel="bookmark" class="title">图片-SSRS 添加用户登录后报错</a>
					<div>
						问题描述 SSRS 添加用户登录后报错 解决方案 https://technet.microsoft.com/zh-cn/bb630430.aspx 遇到同样问题的可以按照此站点的配置进行设置就好了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBaKKM.html" rel="bookmark" class="title">090&lowbar;《Delphi6控件实用程序设计100例》</a>
					<div>
						&lt;Delphi6控件实用程序设计100例&gt; Delphi 教程 系列书籍 (090) &lt;Delphi6控件实用程序设计100例&gt; 网友(邦)整理 EMail: shuaihj@ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK0n2z.html" rel="bookmark" class="title">安卓开发在版本迭代过程中可否对数据库的属性列进行修改</a>
					<div>
						问题描述 安卓开发在版本迭代过程中可否对数据库的属性列进行修改 就是减少一些原有的属性列,再增加一些属性列,我用的是ContentProvider来创建与操作数据库的 解决方案 这个要看市场上的版本是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRlWap.html" rel="bookmark" class="title">仿酷狗音乐播放器开发日志二十七 用ole为窗体增加文件拖动功能（附源码）</a>
					<div>
						转载请说明原出处,谢谢~~        中秋到了,出去玩了几天.今天把仿酷狗程序做了收尾,已经开发完成了,下一篇博客把完结的情况说一下.在这篇博客里说一下使用OLE为窗体增加文件拖拽的功能.使用播放 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7j9Np.html" rel="bookmark" class="title">referenced librabries里的jar包如何转移到web app librabries</a>
					<div>
						问题描述 referenced librabries里的jar包如何转移到web app librabries Eclipse下,tomcat跑起来的时候需要web app librabries下的j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqvn1b.html" rel="bookmark" class="title">java 现成网站源码 SSM 框架 freemaker静态引擎</a>
					<div>
						java 企业网站源码 前后台都有 静态模版引擎, 代码生成器大大提高开发效率 点击:获取地址 QQ 313596790 系统介绍: 1.网站后台采用主流的 SSM 框架 jsp JSTL,网站后台采 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEG1nM.html" rel="bookmark" class="title">stm32-写一段程序完成处理器STM32F103ZET6的时钟初始化</a>
					<div>
						问题描述 写一段程序完成处理器STM32F103ZET6的时钟初始化 使用IAR或者Keil软件写一段程序完成处理器STM32F103ZET6的时钟初始化,处理器使用内部8M时钟晶振,将处理器的主频设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnxZaM.html" rel="bookmark" class="title">【回帖就送分】为什么用线程去移动图片会闪呀闪的啊？</a>
					<div>
						问题描述 为什么用线程去移动图片会闪呀闪的啊?我用线程对图片的位置进行操作,产生移动效果,为什么会闪呀闪的啊?usingSystem;usingSystem.Windows.Forms;usingSy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqVv6b.html" rel="bookmark" class="title">成功进入双色球彩票系统</a>
					<div>
						问题描述 新华网深圳7月8日电(记者 王传真)深圳市公安局8日对外公布,深圳警方近日破获一起利用计算机网络信息系统技术恶意篡改开奖的彩票数据,欲诈骗彩票奖金3305万元的案件.据介绍,今年6月9日,双 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodXG6M.html" rel="bookmark" class="title">android 动画效果的实现问题</a>
					<div>
						问题描述 android 动画效果的实现问题 背景: 有三个activity,A和B,在A中有个小图片.在B中有个大的图片(和A中的小图片一样,只是大小不一样) 在B中的大图片的父节点是用Horizo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkwG0M.html" rel="bookmark" class="title">一直说对标 Instagram 的 in，为何也加入视频群聊的&OpenCurlyDoubleQuote;乱战&rdquo;了？</a>
					<div>
						Houseparty 绝对是2017年被社交创业者们反复提及的高频词汇.这款由直播鼻祖 Meerkat 团队推出的移动端视频群聊产品,上线不久就蹿升到了北美 App Store 榜单前三.新的交互形式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1j4Wb.html" rel="bookmark" class="title">全面解析Bootstrap中tab（选项卡）的使用方法&lowbar;javascript技巧</a>
					<div>
						本文实例为大家介绍实现tab选项卡的应用,此插件相对比较简单,具体内容如下源码文件: tab.js 实现原理:1.单击一个元素时,首先将原来高亮的元素取消 2.然后给被单击元素进行高亮 3.如果单击元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze00E0p.html" rel="bookmark" class="title">php adodb连接不同数据库&lowbar;php基础</a>
					<div>
						复制代码 代码如下: &lt;?php include(&quot;adodb/adodb.inc.php&quot;); //包含adodb类库文件 $conn = NewADOConnection ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqKe7p.html" rel="bookmark" class="title">php基于mcrypt的加密解密实例&lowbar;php技巧</a>
					<div>
						本文实例讲述了php基于mcrypt实现加密解密的方法.分享给大家供大家参考.具体实现方法如下: PHP中自带了相当多的加密的方法,这里我们来看一下mcrypt扩展的使用方式.也是在工作中需要用这个东 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NJd3p.html" rel="bookmark" class="title">如何去选择网站关键词？怎么选择关键词？</a>
					<div>
						真正的首页想要进去前三,那么首先要进入前20名. 基础优化得分先得良好:比如关键词选择,外链和内链建设妥当.301重定向.文章更新等做的还可以: 用户投票越高的网站:有100个人进入一家商店,但是有8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWW4Wp.html" rel="bookmark" class="title">美国主机空间如何正确选择操作系统&quest;</a>
					<div>
						国内用户在购买美国虚拟主机空间的时候,都需要选择具体的操作系统:Linux或Windows操作系统.不同的主机操作系统支持不同的程序环境.那么,购买主机空间的时候怎样选择正确的操作系统呢? 在购买主机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPB0Ep.html" rel="bookmark" class="title">苹果官方回复故障原因：算法调整 需两个工作日恢复</a>
					<div>
						苹果 App Store 的搜索出现了大面积故障,很多 App 的搜索结果出现异常现象.众多品牌关键词匹配混乱. 苹果官方对此回复称:是为了调整刷榜策略,进行了算法调整,目前预计还需要 2 个工作日才 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
